%define pkg_name        Module-Build-Convert
%define pkg_version     0.49
%define rpm_pkg_version 0.49
%define rpm_pkg_release 1.n0i.4

Summary:       Makefile.PL to Build.PL converter
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SC/SCHUBIGER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)

%if %{!?_without_test:1}0
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Prompt)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
%endif


%description
ExtUtils::MakeMaker has been a de-facto standard for the common
distribution of Perl modules; Module::Build is expected to supersede
ExtUtils::MakeMaker in some time (part of the Perl core as of 5.10?) The
transition takes place slowly, as the converting process manually achieved
is yet an uncommon practice. The Module::Build::Convert Makefile.PL parser
is intended to ease the transition process.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README


%changelog
* Mon Aug 20 2007 Marius Feraru <altblue@n0i.net> - 0.49-1.n0i.4
- version 0.49

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.48-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.48

* Tue Jun 20 2006 Marius Feraru <altblue@n0i.net> - 0.30-1.n0i.2
- version 0.30

* Fri May 05 2006 Marius Feraru <altblue@n0i.net> 0.29-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
